package org.example.Enums;

import org.springframework.jdbc.core.SqlOutParameter;
import org.springframework.jdbc.core.SqlParameter;

// 3. 输出参数子类（继承 SqlOutParameter）
public class CustomOutParameter extends CustomSqlParameter {
    public CustomOutParameter(String name, int sqlType, String mode) {
        super(name, sqlType, mode, ParameterDirection.OUTPUT);
    }

    @Override
    public SqlParameter toSpringSqlParameter() {
        return new SqlOutParameter(this.name, this.sqlType);
    }
}
